## touchegg 1.0

=== debian/changelog ===
touchegg (1.0-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #855491)
    - debian/copyright: Upgrade to GPL-3+
    - debian/rules: The orig tarball is not repacked and use gzip
    - Remove debian/source/options to be consistent with the tarball
    - Remove pkg-kde-tools from deps
    - Remove kubuntu_01_desktopfile_remove_xdg_open.diff

 -- Romain Perier <bambi@ubuntu.com>  Wed, 21 Sep 2011 15:44:04 +0200

touchegg (0.3+repack-0ubuntu2) oneiric; urgency=low

  * Add debian/patches/kubuntu_01_desktopfile_remove_xdg_open.diff:
    Drop the line to exec the desktop file with xdg-open, it's not
    an executable.

 -- Romain Perier <bambi@ubuntu.com>  Wed, 24 Aug 2011 19:28:36 +0200

touchegg (0.3+repack-0ubuntu1) oneiric; urgency=low

  * Initial release:
    - Repack the original tarball to include the COPYING file about licensing

 -- Romain Perier <bambi@ubuntu.com>  Sat, 20 Aug 2011 16:35:55 +0200
