## touchegg 1.1.1

=== debian/changelog ===
touchegg (1.1.1-0ubuntu2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:47:45 +0000

touchegg (1.1.1-0ubuntu1) raring; urgency=low

  [ Mitsuya Shibata ]
  * New upstream release (LP: #1059489)
    - Fixed several segv problems:
      LP: #1065673, LP: #856022, LP: #918551
    - Applied geis rename patch.
  * Removed 0001-geis_rename.patch, not needed anymore.

  [ Andrew Starr-Bochicchio ]
  * Add a debian/watch file.
  * Update Format field of debian/copyright to latest spec.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Mon, 17 Dec 2012 23:16:27 +0900

touchegg (1.0-0ubuntu2) quantal; urgency=low

  * Depend on renamed geis package
  * Bump lintian standards version to 3.9.3

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 30 Jul 2012 15:05:54 -0700
