=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), libqt4-dev,
- libutouch-geis-dev, libx11-dev, libxtst-dev, libxext-dev
-Standards-Version: 3.9.2
+ libgeis-dev, libx11-dev, libxtst-dev, libxext-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/touchegg
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/touchegg
 Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/touchegg
