=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --dbg-package=touchegg-dbg
