## touchegg 2.0.13

=== debian/changelog ===
touchegg (2.0.13-1~nosystemd~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 01:02:51 -0500

touchegg (2.0.13) focal; urgency=medium

  * Improve pinch detection when the fingers are placed horizontally or vertically
  * Allow to run in multiple X displays
  * Allow to configure the number of times a repeated action is executed

 -- José Expósito <jose.exposito89@gmail.com>  Sat, 08 Jan 2022 12:00:00 +0100

touchegg (2.0.12) focal; urgency=medium

  * Improve pinch gesture detection on touchscreens
  * Honor the XDG basedir specification

 -- José Expósito <jose.exposito89@gmail.com>  Thu, 21 Oct 2021 12:00:00 +0100

touchegg (2.0.11) focal; urgency=medium

  * Allow to display any animation on SEND_KEYS/RUN_COMMAND
  * Add cyclic option to CHANGE_DESKTOP
  * Packages for CentOS (EPEL), Fedora and openSUSE available on COPR

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 05 Jul 2021 12:00:00 +0100

touchegg (2.0.10) focal; urgency=medium

  * Touchscreen: Use touch average to calculate deltas
  * Simplify the build process in distros that don't support systemd
  * libinput 1.18 support: Different deltas depending on libinput version

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 07 Jun 2021 12:00:00 +0100

touchegg (2.0.9) focal; urgency=medium

  * Use screen rotation to calculate touchscreen gestures direction

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 05 Apr 2021 12:00:00 +0100

touchegg (2.0.8) focal; urgency=medium

  * Added daily and stable PPA builds

  * Fix animation when screens ot the same size are arranged vertically
  * Fix crash caused by a g_variant not being referenced
  * Handle the TOUCH_CANCEL event to avoid bugs

 -- José Expósito <jose.exposito89@gmail.com>  Wed, 24 Feb 2021 12:00:00 +0100

touchegg (2.0.7) focal; urgency=medium

  * Improve the logs
  * Fix intermittent affecting some users
  * Release Touché, the GUI to configure Touchégg
  * Improve documentation

 -- José Expósito <jose.exposito89@gmail.com>  Sun, 07 Feb 2021 12:00:00 +0100

touchegg (2.0.6) focal; urgency=medium

  * New action added: "FULLSCREEN_WINDOW"
  * Use D-Bus for daemon-client communication, making easier to write
  clients different languages
  * Animations are pixel-precise at low speeds
  * Make application name case insensitive in config file

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 01 Feb 2021 12:00:00 +0100

touchegg (2.0.5) focal; urgency=medium

  * Allow to cancel non animated gestures when configured to run on end
  * Using unaccelerated deltas and different horizontal and vertical finish
  thresholds for a better user experience

  * Fix crashes when incorrect keys are used on SEND_KEYS
  * Handle devices reporting a size of 0x0 mm
  * Allow to use a symlink as configuration to Dotfiles users
  * Handles window managers that don't set the `_NET_WORKAREA` atom

 -- José Expósito <jose.exposito89@gmail.com>  Tue, 05 Jan 2021 12:00:00 +0100

touchegg (2.0.4) focal; urgency=medium

  * New gesture available for touchscreens: "TAP"
  * New action added: "MOUSE_CLICK"

  * Better multi-monitor support
  * Improve config file watcher

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 07 Dec 2020 12:00:00 +0100

touchegg (2.0.3) focal; urgency=medium

  * Use "auto" with "color" and "borderColor" to use your theme's accent color
  * Use "auto" with "CHANGE_DESKTOP" to follow natural scroll preferences

  * Improve Debian packaging
  * Now Linux distributions shipping Touchégg by default can update your
  configuration easily
  * Improve protocol backward compatibility for third party integrations

 -- José Expósito <jose.exposito89@gmail.com>  Tue, 17 Nov 2020 12:00:00 +0100

touchegg (2.0.2) focal; urgency=medium

  * Touchscreen support. Now you can use PINCH and SWIPE gestures on your
  touchscreen
  * Animations are smoother, even in devices with limited resources like the
  Raspberry Pi 4
  * CHANGE_DESKTOP now allows to use up/down/left/right directions in addition
  to previous/next. Made with love for KDE users
  * Touchégg is added to startup automatically on installation
  * In case you manually added it to startup you don't need to change anything,
  now you can not run multiple instances in parallel by mistake

  * Fix crash when a screen is connected but disabled
  * Fix intermittent crash after editing the configuration file
  * Fix crash when performing a gesture on the root window

 -- José Expósito <jose.exposito89@gmail.com>  Wed, 28 Oct 2020 12:00:00 +0100

touchegg (2.0.1) focal; urgency=medium

  * Fix compilation with latest versions of GCC

 -- José Expósito <jose.exposito89@gmail.com>  Tue, 29 Sep 2020 12:00:00 +0100

touchegg (2.0.0) focal; urgency=medium

  * The Linux desktop has changed a lot since I first released Touchégg back in
  2011.
  This release is a total rewrite of the version 1.x aiming to incorporate the
  new technologies that are available today on the Linux desktop.
  * Add libinput support
  * Add 1:1 animations so your gestures doesn't feel like a "shortcut" anymore
  * Drop the Qt dependency for better compatibility
  * Available gestures: SWIPE and PINCH
  * Available actions: MAXIMIZE_RESTORE_WINDOW, MINIMIZE_WINDOW, TILE_WINDOW,
  CLOSE_WINDOW, CHANGE_DESKTOP, SHOW_DESKTOP, SEND_KEYS and RUN_COMMAND

 -- José Expósito <jose.exposito89@gmail.com>  Sun, 27 Sep 2020 12:00:00 +0100

touchegg (1.1.1-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:03 +0100

touchegg (1.1.1-0ubuntu3) focal; urgency=medium

  * Build with Qt5:
    - debian/patches: Add upstream_build-with-qt5.patch
    - debian/control: Update build dependencies
    - debian/rules: export QT_SELECT := qt5
  * wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2019 12:37:03 +0000
