## touchegg 2.0.16%2Bfaye

=== debian/changelog ===
touchegg (2.0.16+faye) focal; urgency=medium

  * Do not use abstract socket on BSD
  * Fix compilation error on GCC 13

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 06 Feb 2023 12:00:00 +0100

touchegg (2.0.15) focal; urgency=medium

  * Add TOUCHEGG_DEVICE_TYPE environment variable to RUN_COMMAND
  * Remove Firefox from the default config, it supports native gestures

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 14 Nov 2022 12:00:00 +0100

touchegg (2.0.14) focal; urgency=medium

  * New COPR URL: https://copr.fedorainfracloud.org/coprs/joseexposito/touchegg/
  * Performance improvements calculating the size of the animations
  * Fix crash that might happen when multiple input devices are added and removed

 -- José Expósito <jose.exposito89@gmail.com>  Sat, 02 Apr 2022 12:00:00 +0100
