=== debian/changelog ===
touchegg (2.0.16+victoria) focal; urgency=medium

  * Do not use abstract socket on BSD
  * Fix compilation error on GCC 13

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 06 Feb 2023 12:00:00 +0100
