## touchegg 2.0.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(touchegg)
 set(MAJOR_VERSION "2")
 set(MINOR_VERSION "0")
-set(PATCH_VERSION "16")
+set(PATCH_VERSION "17")
 add_definitions(-D_VERSION="v${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 set(CMAKE_CXX_STANDARD 17)
