=== debian/changelog ===
touchegg (2.0.17-1mx23) mx; urgency=medium

  * Rebuild for MX Linux
  * Switch to 3.0 (quilt) source format

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Dec 2024 21:20:05 -0800

touchegg (2.0.17) focal; urgency=medium

  * Upgrade the target Debian version on CI

 -- José Expósito <jose.exposito89@gmail.com>  Sun, 13 Aug 2023 12:00:00 +0100

touchegg (2.0.16) focal; urgency=medium

  * Do not use abstract socket on BSD
  * Fix compilation error on GCC 13

 -- José Expósito <jose.exposito89@gmail.com>  Mon, 06 Feb 2023 12:00:00 +0100
