## touchegg 2.0.17+parrot1

=== debian/changelog ===
touchegg (2.0.17+parrot1) lory; urgency=medium

  * New Parrot release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 24 Jan 2024 22:12:07 +0100
