## touchegg 2.0.18+gigi

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.10.0)
 
 project(touchegg)
 set(MAJOR_VERSION "2")
 set(MINOR_VERSION "0")
-set(PATCH_VERSION "17")
+set(PATCH_VERSION "18")
 add_definitions(-D_VERSION="v${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 set(CMAKE_CXX_STANDARD 17)
