=== debian/changelog ===
touchegg (2.0.18+gigi) focal; urgency=medium

  * Allow to execute actions on gesture begin and end

 -- José Expósito <jose.exposito89@gmail.com>  Sat, 24 May 2025 12:00:00 +0100
