=== debian/control ===
Source: touchegg
Section: misc
Priority: optional
Maintainer: José Expósito <jose.exposito89@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libc6-dev (>= 2.14),
               libcairo2-dev (>= 1.2.4),
               libgtk-3-dev,
               libinput-dev (>= 0.21.0),
               libpugixml-dev (>= 1.4),
               libudev-dev (>= 183),
               libx11-dev,
               libxi-dev (>= 2:1.7.0),
               libxrandr-dev (>= 2:1.2.0),
               libxtst-dev,
               systemd-dev
Standards-Version: 4.5.0
Homepage: https://github.com/JoseExposito/touchegg
Vcs-Browser: https://github.com/JoseExposito/touchegg
Vcs-Git: https://github.com/JoseExposito/touchegg.git

Package: touchegg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-touch gesture recognizer
 Touchégg is an app that runs in the background and transform the gestures you
 make in your touchpad into visible actions in your desktop.
 For example, you can swipe up with 3 fingers to maximize a window or swipe left
 with 4 finger to switch to the next desktop.
